Bug 443627 - kernel dm snapshot: PPC64: kernel OOPS during activation of snapshot with small chunksize
kernel dm snapshot: PPC64: kernel OOPS during activation of snapshot with sma...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ppc64 Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Broz
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 12:00 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:16:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zero number of pages (431 bytes, patch)
2008-04-22 14:26 EDT, Mikulas Patocka
no flags Details | Diff

  None (edit)
Description Milan Broz 2008-04-22 12:00:08 EDT
PPC64 architecture cannot initialize snapshot with chunksize smaller than
pagesize (here 64K page)

Setting up Logical Volume Management: kernel BUG in mempool_resize at
mm/mempool.c:121!
cpu 0x1: Vector: 700 (Program Check) at [c0000001633f3250]
    pc: c0000000000b8a10: .mempool_resize+0x3c/0x254
    lr: d000000000627d3c: .dm_io_client_resize+0x24/0x38 [dm_mod]
    sp: c0000001633f34d0
   msr: 8000000000029032
  current = 0xc0000001645764f0
  paca    = 0xc000000000475000
    pid   = 1854, comm = lvm.static
kernel BUG in mempool_resize at mm/mempool.c:121!

Volume group was created on i386 this way:
DEV=/dev/sdc1
VG=vg_tst

pvcreate $DEV
vgcreate $VG $DEV

lvcreate -L 100M -n lv $VG

for i in 4 8 16 32 64 128 256 512 ; do
        lvcreate -s -c $i -L 12M -n "snap"$i vg_tst/lv
done

Simple vgscan; vgchange -a y is enough to rerproduce it.

Kernel version:
Linux ppc-powerv 2.6.18-53.1.14.el5 #1 SMP Tue Feb 19 07:22:57 EST 2008 ppc64
ppc64 ppc64 GNU/Linux
Comment 1 Mikulas Patocka 2008-04-22 14:26:25 EDT
Created attachment 303351 [details]
Zero number of pages

What about this patch? I can't check that it fixes the bug (don't have PPC),
but it looks like a place where "0" count of pages was created.
Comment 2 Milan Broz 2008-04-23 07:12:16 EDT
(In reply to comment #1)
> What about this patch? I can't check that it fixes the bug (don't have PPC),
> but it looks like a place where "0" count of pages was created.

yep, this helps:-)
Comment 3 RHEL Product and Program Management 2008-04-23 07:20:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-07-23 14:55:11 EDT
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 Mikulas Patocka 2008-09-29 00:24:23 EDT
*** Bug 461506 has been marked as a duplicate of this bug. ***
Comment 13 errata-xmlrpc 2009-01-20 15:16:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.